Bug 1500488 (CVE-2017-0903) - CVE-2017-0903 rubygems: Unsafe object deserialization through YAML formatted gem specifications
Summary: CVE-2017-0903 rubygems: Unsafe object deserialization through YAML formatted ...
Status: CLOSED ERRATA
Alias: CVE-2017-0903
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171010,repor...
Keywords: Security
Depends On: 1500489 1500490 1500491 1500654 1509448 1509449 1509450 1509451 1534437 1534438 1534937 1534941
Blocks: 1500494
TreeView+ depends on / blocked
 
Reported: 2017-10-10 17:54 UTC by Pedro Sampaio
Modified: 2018-03-26 10:24 UTC (History)
38 users (show)

(edit)
A vulnerability was found where the rubygems module was vulnerable to an unsafe YAML deserialization when inspecting a gem. Applications inspecting gem files without installing them can be tricked to execute arbitrary code in the context of the ruby interpreter.
Clone Of:
(edit)
Last Closed: 2017-12-19 09:58:34 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3485 normal SHIPPED_LIVE Moderate: rh-ruby24-ruby security, bug fix, and enhancement update 2017-12-19 13:37:01 UTC
Red Hat Product Errata RHSA-2018:0378 normal SHIPPED_LIVE Important: ruby security update 2018-03-01 01:06:17 UTC
Red Hat Product Errata RHSA-2018:0583 None None None 2018-03-26 09:46 UTC
Red Hat Product Errata RHSA-2018:0585 None None None 2018-03-26 10:24 UTC

Description Pedro Sampaio 2017-10-10 17:54:02 UTC
RubyGems version 2.0.0 to 2.6.13 is vulnerable to an unsafe object deserialization through a specially crafted YAML formatted gem specification that could lead to a remote code execution when parsed without safegards. Applications that process Gems on the server are impacted but not if rubygems is only used as a client.

References:

http://www.openwall.com/lists/oss-security/2017/10/10/2

Comment 1 Pedro Sampaio 2017-10-10 17:54:42 UTC
Created ruby193-rubygems tracking bugs for this issue:

Affects: openshift-1 [bug 1500491]


Created rubygems tracking bugs for this issue:

Affects: fedora-all [bug 1500489]
Affects: openshift-1 [bug 1500490]

Comment 2 Tomas Hoger 2017-10-11 09:46:34 UTC
Created ruby tracking bugs for this issue:

Affects: fedora-all [bug 1500654]

Comment 6 Cedric Buissart 🐶 2017-12-04 14:25:58 UTC
External References:

http://blog.rubygems.org/2017/10/09/2.6.14-released.html

Comment 16 errata-xmlrpc 2017-12-19 08:39:01 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2017:3485 https://access.redhat.com/errata/RHSA-2017:3485

Comment 18 Cedric Buissart 🐶 2017-12-19 10:00:01 UTC
Statement:

This issue did not affect the versions of rubygems as shipped with Red Hat Enterprise Linux 6.

This issue affects the versions of ruby as shipped with Red Hat Enterprise Linux 7 and the versions of rh-ruby22-ruby and rh-ruby23-ruby as shipped with Red Hat Software Collections. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 26 errata-xmlrpc 2018-02-28 20:03:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0378 https://access.redhat.com/errata/RHSA-2018:0378

Comment 28 errata-xmlrpc 2018-03-26 09:46:25 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0583 https://access.redhat.com/errata/RHSA-2018:0583

Comment 29 errata-xmlrpc 2018-03-26 10:24:31 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0585 https://access.redhat.com/errata/RHSA-2018:0585


Note You need to log in before you can comment on or make changes to this bug.